Summary: Process monitoring utilities
Name: procps
%define version 1.2.8
Version: %{version}
Release: 2
Copyright: GPL
Group: Utilities/System
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/procps-%{version}.tar.gz
Buildroot: /var/tmp/procps-root
Summary(de): Dienstprogramm zur Prozeberwachung
Summary(fr): Utilitaires de surveillance des processus.
Summary(tr): Sre izleme aralar

%package X11
Group: X11/Utilities
Summary: X-based process monitoring utilities
Summary(de): Prozeberwachungs-Dienstprogramme fr X
Summary(fr): Utilitaires de surveillance des processus sous X
Summary(tr): X tabanl sre izleme aralar

%description
A package of utilities which report on the state of the system,
including the states of running processes, amount of memory available,
and currently-logged-in users.

%description X11
A package of X-based utilities which report on the state of the system.
These utilities generally provide graphical presentations of information
available from tools in the procps suite.

%description -l de X11
Ein Utility-Paket auf X-Basis, die ber den Systemstatus orientieren. 
Dabei werden die von den Tools aus der procps-Suite gelieferten Daten 
n grafischer Weise dargestellt.

%description -l de
Ein Paket mit Utilities, die den Status des Systems melden, 
einschlielich des Status laufender Prozesse, der Menge des 
verfgbaren Speicherplatzes und der momentan angemeldeten Benutzer.

%description -l fr X11
Paquetage d'utilitaires X rapportant l'tat du systme. Ces utilitaires
offrent gnralement des reprsentations graphiques des informations
disponibles  partir d'outils de la suite procps.

%description -l fr
Paquetage d'utilitaires donnant des informations sur l'tat du systme,
dont les tats des processus en cours, le total de mmoire disponible,
et les utilisateurs loggs.

%description -l tr X11
Sistemin durumunu gsteren, X tabanl aralar. Bu aralar, genellikle
procps paketinde yer alan aralarla edinebileceiniz bilgileri grafik olarak
grntlerler.

%description -l tr
Sistemin durumunu rapor eden aralar paketidir. Koan srelerin durumunu,
kullanlabilir bellek miktarn, ve o an iin sisteme girmi kullanclar
bildirir.

%changelog
* Wed Jun 03 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

%prep
%setup

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/lib

make DESTDIR=$RPM_BUILD_ROOT install

# Since this is specific to Red Hat now, we'll leave this in the spec file.
# If others decide they like wmconfig, we'll move it to the install phase
# of the Makefile.
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 top.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/top

%clean
rm -rf $RPM_BUILD_ROOT

%post
# add libproc to the cache
/sbin/ldconfig
# ask ps to set up /etc/psdevtab if /proc is mounted
if [ -f /proc/uptime ] ; then
  /bin/ps </dev/null >/dev/null 2>&1
fi

%files
%attr(0644,root,root) %config(missingok) /etc/X11/wmconfig/top
%attr(0644,root,root) %doc NEWS BUGS TODO
%attr(755,root,root) /lib/libproc.so.1.2.6
%attr(555,root,root) /bin/ps
%attr(555,root,root) /usr/bin/uptime
%attr(555,root,root) /usr/bin/tload
%attr(555,root,root) /usr/bin/free
%attr(555,root,root) /usr/bin/w
%attr(555,root,root) /usr/bin/top
%attr(555,root,root) /usr/bin/vmstat
%attr(555,root,root) /usr/bin/sessreg
%attr(555,root,root) /usr/bin/watch

%attr(755,root,root) /usr/bin/skill
%attr(755,root,root) /usr/bin/snice

%attr(0644,root,root) /usr/man/man1/free.1
%attr(0644,root,root) /usr/man/man1/ps.1
%attr(0644,root,root) /usr/man/man1/sessreg.1
%attr(0644,root,root) /usr/man/man1/skill.1
%attr(0644,root,root) /usr/man/man1/snice.1
%attr(0644,root,root) /usr/man/man1/tload.1
%attr(0644,root,root) /usr/man/man1/top.1
%attr(0644,root,root) /usr/man/man1/uptime.1
%attr(0644,root,root) /usr/man/man1/w.1
%attr(0644,root,root) /usr/man/man1/watch.1
%attr(0644,root,root) /usr/man/man8/vmstat.8

%files X11
%attr(4755,root,root) /usr/X11R6/bin/XConsole
